<script setup lang="ts">
import { store } from "@/store";
import AgentCooperationDialog from "@/components/new-black-theme/agent-cooperation-dialog.client.vue";
import BalanceInfo from "@/components/theme/desktop/peru/components/balance-info.vue";

const authentication = computed(() => store.state.auth);
const toggleSidebar = () => {
  store.commit("updateSidebar", !store.state.showSidebar);
};
</script>

<template>
  <div class="main-hamburger flex justify-end">
    <BalanceInfo v-if="authentication" :is-suspended="false" />
    <div @click="toggleSidebar">
      <div class="bg-white w-[22px] h-[2px] my-[4px] rounded-[10px]"></div>
      <div class="bg-white w-[22px] h-[2px] my-[4px] rounded-[10px]"></div>
      <div class="bg-white w-[22px] h-[2px] rounded-[10px]"></div>
    </div>
    <AgentCooperationDialog />
  </div>
</template>

<style lang="scss">
@media screen and (min-width: 1024px) {
  .main-hamburger {
    display: none;
  }
}
@media screen and (max-width: 1024px) {
  .main-hamburger {
    margin: 20px;
  }
  .peru-side-bar.sidebar .sidebar-dialog .overflow-none {
    overflow-y: scroll;
    overflow-x: unset;
  }
}
.main-hamburger {
  .sidebar-dialog:focus-visible {
    outline: unset;
  }
}
</style>
